C2DFVectorfieldRegularizer Class Referenceabstract
Image Registration and Transformation

`#include <mia/2d/vfregularizer.hh>`

Inheritance diagram for C2DFVectorfieldRegularizer:
[legend]
Collaboration diagram for C2DFVectorfieldRegularizer:
[legend]

## Public Types

typedef C2DFVectorfield | plugin_data
typedef C2DFVectorfieldRegularizer | plugin_type
typedef std::shared_ptr< C2DFVectorfieldRegularizer > | Pointer
Public Types inherited from CPropertyFlagHolder
typedef std::set< const char * > | Set
| define the type of the set of flags

## Public Member Functions

double | run (C2DFVectorfield &velocity, C2DFVectorfield &force, const C2DFVectorfield &deform) const
void | set_size (const C2DBounds &size)
virtual | ~C2DFVectorfieldRegularizer ()
Public Member Functions inherited from CProductBase
const char * | get_init_string () const
void | set_init_string (const char *init)
void | set_module (PPluginModule module)
Public Member Functions inherited from CPropertyFlagHolder
void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Static Public Attributes

static const char * | type_descr

## Protected Member Functions

const C2DBounds & | get_size () const

## Detailed Description

Regularize a 2D vector field with some model

This is the base class for a 2D vector field reguarlizer that is typically used in non-linear registration to evaluate a velocity field from a force field by applying some regularization model on the input data.

Definition at line 41 of file 2d/vfregularizer.hh.

## Member Typedef Documentation

## plugin_data

typedef C2DFVectorfield C2DFVectorfieldRegularizer::plugin_data

Definition at line 45 of file 2d/vfregularizer.hh.

## plugin_type

typedef C2DFVectorfieldRegularizer C2DFVectorfieldRegularizer::plugin_type

Definition at line 44 of file 2d/vfregularizer.hh.

## Pointer

typedef std::shared_ptr< C2DFVectorfieldRegularizer > C2DFVectorfieldRegularizer::Pointer

Definition at line 49 of file 2d/vfregularizer.hh.

## Constructor & Destructor Documentation

## ~C2DFVectorfieldRegularizer()

virtual C2DFVectorfieldRegularizer::~C2DFVectorfieldRegularizer | ( |  | ) |

virtual

## Member Function Documentation

## get_size()

const C2DBounds & C2DFVectorfieldRegularizer::get_size | ( |  | ) | const

protected

## run()

double C2DFVectorfieldRegularizer::run | ( | C2DFVectorfield & | velocity,
|  | C2DFVectorfield & | force,
|  | const C2DFVectorfield & | deform ) const

The work routine for the regularizer

Parameters

  [out] | velocity | the vector field that contains the reguarlized field
  [in] | force | the vector field that containes the unregularized field, e.g. a force field obtained from an image similarity measure. The field may be overwritten by the regularization operation.
  [in] | deform | the currently valid deformation

Returns
  the maximum of the norms of the vectors of the output field

## set_size()

void C2DFVectorfieldRegularizer::set_size | ( | const C2DBounds & | size | ) |

Sets the size of the vector fields that will be regularized. This method is implemented to give the regularizer a chance to initialize additional data structures. To do so a derived class has to override the method on_size_changed(). on_size_changed() is only called if the size changes.

## Field Documentation

## type_descr

const char* C2DFVectorfieldRegularizer::type_descr

static

Definition at line 47 of file 2d/vfregularizer.hh.

The documentation for this class was generated from the following file:

- 2d/vfregularizer.hh